%bcond_without check

%global goipath         github.com/peterhellberg/link
Version:                1.1.0

%gometa

%global common_description %{expand:
Parses Link headers used for pagination, as defined in RFC 5988.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:    2%{?dist}
Summary:        Parses Link headers used for pagination, as defined in RFC 5988

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Mon Jun 09 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.1.0-2
- Rebuilt for loongarch64

* Mon Aug 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
